use std::f32::consts::PI;

pub fn generate
(
	freq: f32,
) -> 
	Vec<f32>
{
	let width = 1.0 / (PI * freq);
	let radius = (width * 10.0).round().max(1.0) as isize;

	let mut output:Vec<f32> = Vec::with_capacity(radius as usize * 2 + 1);

	for t in 
	(
		(
			-radius
			..=
			 radius
		).map(
			|x| x as f32
		)
	) {
		output.push(
			(
				-0.5 * (t / width).powi(2)
			)
			.exp()
			/
			(
				width * (2.0 * PI).sqrt()
			)
		);
	}

	return output;
}
